Package csb :: Package bio :: Package hmm :: Module pseudocounts :: Class PseudocountBuilder

[frames] | no frames]

# Class PseudocountBuilder

source code

    object --+
             |
            PseudocountBuilder

Constructs profile HMMs with pseudocounts.

Instance Methods

__init__(self, hmm) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_emission_pseudocounts(self, tau=0.1, pca=2.5, pcb=0.5, pcc=1.0) Port from HHpred, it uses the conditional background probabilities, inferred from the Gonnet matrix. | source code

add_transition_pseudocounts(self, gapb=1.0, gapd=0.15, gape=1.0, gapf=0.6, gapg=0.6, gapi=0.6) Add pseudocounts to the transitions. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| hmm
Inherited from `object`: `__class__`

Method Details

### __init__(self, hmm)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### add_emission_pseudocounts(self, tau=0.1, pca=2.5, pcb=0.5, pcc=1.0)

source code

Port from HHpred, it uses the conditional background probabilities, inferred from the Gonnet matrix.

Parameters:
  - `tau` (float) - admission weight, i.e how much of the final score is determined by the background probabilities. 0.0=no pseudocounts.

### add_transition_pseudocounts(self, gapb=1.0, gapd=0.15, gape=1.0, gapf=0.6, gapg=0.6, gapi=0.6)

source code

Add pseudocounts to the transitions. A port from hhsearch -gapb 1.0 -gapd 0.15 -gape 1.0 -gapf 0.6 -gapg 0.6 -gapi 0.6

Property Details

### hmm

Get Method:
  unreachable.hmm(self)